CVE-2021-39219

Access of Resource Using Incompatible Type ('Type Confusion') in pypi/wasmtime

Identifier

CVE-2021-39219

Package Slug

pypi/wasmtime

Vulnerability

Access of Resource Using Incompatible Type ('Type Confusion')

Description

Wasmtime is an open source runtime for WebAssembly & WASI.As a Rust library the wasmtime crate clearly marks which functions are safe and which are unsafe, guaranteeing that if consumers never use unsafe then it should not be possible to have memory unsafety issues in their embeddings of Wasmtime.

Affected Versions

All versions before 0.30.0

Solution

Upgrade to version 0.30.0 or above.

Last Modified

2021-10-10

source